local AddName, Ns = ...
local L = Ns.L

------------------------------
--		Options Equates		--
------------------------------
local Both, Enhanced, Base, World, Realm, Equipped, Overall, Level, Honor = 3, 1, 2, 1, 2, 1, 2, 1, 2

----------------------------------
--		Text Return Formats		--
----------------------------------
local Double_Rating_Format = { "%.0f", "%.0f", "%.0f/%.0f", }
local Base_Casting_Format = { "%.2f", "%.2f", "%.2f/%.2f", }

--------------------------
--		Currency		--
--------------------------

-- Money
function Ns.FunctionList.Gold(HUD, data, options, ...)

	local money = GetMoney()
	local formattedMoney = (GetCoinTextureString(money))
	
	HUD:UpdateText(data, formattedMoney)
end
------------------------------------------------

-- Honor
function Ns.FunctionList.Honor(HUD, data, options, ...)

	local EB, percentStat, ratingStat = options.Level_HonorPoints
	local honorLevel = UnitHonorLevel("player")
	local honorPoints = C_CurrencyInfo.GetCurrencyInfo(1792)--UnitHonor("player")
	local ratedHonor = C_CurrencyInfo.GetCurrencyInfo(1891)
	local ratedTotal = 0
	local returnText
 
	if honorPoints.name and tonumber(honorPoints.quantity) then honorPoints = honorPoints.quantity else honorPoints = 0 end
	if ratedHonor.name and tonumber(ratedHonor.quantity) then ratedTotal = ratedHonor.quantity end
	
	if options.Display_Rated then honorPoints = ratedTotal end
	
	if Ns.Band(EB, Level) then returnText = honorLevel end
	if Ns.Band(EB, Honor) then returnText = honorPoints end
	if Ns.Band(EB, Both) then returnText = honorLevel .. "/" .. honorPoints end
	if returnText == nil then returnText = 0 end		

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Dragon Isles Supplies
function Ns.FunctionList.DragonSupplies(HUD, data, options, ...)

	local dragonSupplies = C_CurrencyInfo.GetCurrencyInfo(2003)

	if dragonSupplies.name and tonumber(dragonSupplies.quantity) then dragonSupplies = dragonSupplies.quantity
	else dragonSupplies = 0 end

	HUD:UpdateText(data, dragonSupplies)
end
------------------------------------------------

-- Flightstones
function Ns.FunctionList.Flightstones(HUD, data, options, ...)

	local flightstones = C_CurrencyInfo.GetCurrencyInfo(2245)

	if flightstones.name and tonumber(flightstones.quantity) then flightstones = flightstones.quantity
	else flightstones = 0 end

	HUD:UpdateText(data, flightstones)
end
------------------------------------------------

-- Renascent Shadowflame
function Ns.FunctionList.Renascent(HUD, data, options, ...)

	local renascent = C_CurrencyInfo.GetCurrencyInfo(2167)

	if renascent.name and tonumber(renascent.quantity) then renascent = renascent.quantity
	else renascent = 0 end

	HUD:UpdateText(data, renascent)
end
------------------------------------------------

-- Catalyst Charges
function Ns.FunctionList.Catalyst(HUD, data, options, ...)

	local catalyst = C_CurrencyInfo.GetCurrencyInfo(2167)

	if catalyst.name and tonumber(catalyst.quantity) then catalyst = catalyst.quantity
	else catalyst = 0 end

	HUD:UpdateText(data, catalyst)
end
------------------------------------------------

-- Bloody Tokens
function Ns.FunctionList.BloodyTokens(HUD, data, options, ...)

	local bloodyTokens = C_CurrencyInfo.GetCurrencyInfo(2123)

	if bloodyTokens.name and tonumber(bloodyTokens.quantity) then bloodyTokens = bloodyTokens.quantity
	else bloodyTokens = 0 end

	HUD:UpdateText(data, bloodyTokens)
end
------------------------------------------------

-- Storm Sigil
function Ns.FunctionList.StormSigil(HUD, data, options, ...)

	local stormSigil = C_CurrencyInfo.GetCurrencyInfo(2122)

	if stormSigil.name and tonumber(stormSigil.quantity) then stormSigil = stormSigil.quantity
	else stormSigil = 0 end

	HUD:UpdateText(data, stormSigil)
end
------------------------------------------------

-- Elemental Overflow
function Ns.FunctionList.EleOverflow(HUD, data, options, ...)

	local eleOverflow = C_CurrencyInfo.GetCurrencyInfo(2118)

	if eleOverflow.name and tonumber(eleOverflow.quantity) then eleOverflow = eleOverflow.quantity
	else eleOverflow = 0 end

	HUD:UpdateText(data, eleOverflow)
end
------------------------------------------------

-- Valor points
function Ns.FunctionList.ValorPoints(HUD, data, options, ...)

	local valor = C_CurrencyInfo.GetCurrencyInfo(1191)

	if valor.name and tonumber(valor.quantity) then valor = valor.quantity
	else valor = 0 end	

	HUD:UpdateText(data, valor)
end
------------------------------------------------

-- Conquest
function Ns.FunctionList.Conquest(HUD, data, options, ...)

	local conquest = C_CurrencyInfo.GetCurrencyInfo(1602)

	if conquest.name and tonumber(conquest.quantity) then conquest = conquest.quantity
	else conquest = 0 end	

	HUD:UpdateText(data, conquest)
end
------------------------------------------------

-- Timewarped Badges
function Ns.FunctionList.Timewarped(HUD, data, options, ...)

	local timewarped = C_CurrencyInfo.GetCurrencyInfo(1166)

	if timewarped.name and tonumber(timewarped.quantity) then timewarped = timewarped.quantity
	else timewarped = 0 end	

	HUD:UpdateText(data, timewarped)
end
------------------------------------------------

-- Trader's Tender
function Ns.FunctionList.TraderTender(HUD, data, options, ...)

	local trader = C_CurrencyInfo.GetCurrencyInfo(2032)

	if trader.name and tonumber(trader.quantity) then trader = trader.quantity
	else trader = 0 end	

	HUD:UpdateText(data, trader)
end
------------------------------------------------
